package com.bytedance.ies.nle.editor_jni;

import X.TMJ;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLEWatermarkParam {
    public transient long LIZ;
    public transient boolean LIZIZ;

    static {
        Covode.recordClassIndex(29907);
    }

    public void finalize() {
        LJIILJJIL();
    }

    public final boolean LIZ() {
        MethodCollector.i(5188);
        boolean NLEWatermarkParam_needExtFile_get = NLEMediaJniJNI.NLEWatermarkParam_needExtFile_get(this.LIZ, this);
        MethodCollector.o(5188);
        return NLEWatermarkParam_needExtFile_get;
    }

    public NLEWatermarkParam() {
        this(NLEMediaJniJNI.new_NLEWatermarkParam());
        MethodCollector.i(5060);
        MethodCollector.o(5060);
    }

    public final String LIZIZ() {
        MethodCollector.i(5304);
        String NLEWatermarkParam_extFile_get = NLEMediaJniJNI.NLEWatermarkParam_extFile_get(this.LIZ, this);
        MethodCollector.o(5304);
        return NLEWatermarkParam_extFile_get;
    }

    public final int LJI() {
        MethodCollector.i(5788);
        int NLEWatermarkParam_interval_get = NLEMediaJniJNI.NLEWatermarkParam_interval_get(this.LIZ, this);
        MethodCollector.o(5788);
        return NLEWatermarkParam_interval_get;
    }

    public final int LJII() {
        MethodCollector.i(5918);
        int NLEWatermarkParam_xOffset_get = NLEMediaJniJNI.NLEWatermarkParam_xOffset_get(this.LIZ, this);
        MethodCollector.o(5918);
        return NLEWatermarkParam_xOffset_get;
    }

    public final int LJIIIIZZ() {
        MethodCollector.i(6002);
        int NLEWatermarkParam_yOffset_get = NLEMediaJniJNI.NLEWatermarkParam_yOffset_get(this.LIZ, this);
        MethodCollector.o(6002);
        return NLEWatermarkParam_yOffset_get;
    }

    public final int LJIIIZ() {
        MethodCollector.i(6213);
        int NLEWatermarkParam_width_get = NLEMediaJniJNI.NLEWatermarkParam_width_get(this.LIZ, this);
        MethodCollector.o(6213);
        return NLEWatermarkParam_width_get;
    }

    public final int LJIIJ() {
        MethodCollector.i(6220);
        int NLEWatermarkParam_height_get = NLEMediaJniJNI.NLEWatermarkParam_height_get(this.LIZ, this);
        MethodCollector.o(6220);
        return NLEWatermarkParam_height_get;
    }

    public final long LJIIJJI() {
        MethodCollector.i(6405);
        long NLEWatermarkParam_duration_get = NLEMediaJniJNI.NLEWatermarkParam_duration_get(this.LIZ, this);
        MethodCollector.o(6405);
        return NLEWatermarkParam_duration_get;
    }

    public final int LJIILIIL() {
        MethodCollector.i(7380);
        int NLEWatermarkParam_rotation_get = NLEMediaJniJNI.NLEWatermarkParam_rotation_get(this.LIZ, this);
        MethodCollector.o(7380);
        return NLEWatermarkParam_rotation_get;
    }

    public final VecNLEWatermarkEntity LIZJ() {
        MethodCollector.i(5371);
        long NLEWatermarkParam_entities_get = NLEMediaJniJNI.NLEWatermarkParam_entities_get(this.LIZ, this);
        if (NLEWatermarkParam_entities_get == 0) {
            MethodCollector.o(5371);
            return null;
        }
        VecNLEWatermarkEntity vecNLEWatermarkEntity = new VecNLEWatermarkEntity(NLEWatermarkParam_entities_get, false);
        MethodCollector.o(5371);
        return vecNLEWatermarkEntity;
    }

    public final NLEWatermarkMask LIZLLL() {
        MethodCollector.i(5448);
        long NLEWatermarkParam_mask_get = NLEMediaJniJNI.NLEWatermarkParam_mask_get(this.LIZ, this);
        if (NLEWatermarkParam_mask_get == 0) {
            MethodCollector.o(5448);
            return null;
        }
        NLEWatermarkMask nLEWatermarkMask = new NLEWatermarkMask(NLEWatermarkParam_mask_get);
        MethodCollector.o(5448);
        return nLEWatermarkMask;
    }

    public final VecString LJ() {
        MethodCollector.i(5591);
        long NLEWatermarkParam_images_get = NLEMediaJniJNI.NLEWatermarkParam_images_get(this.LIZ, this);
        if (NLEWatermarkParam_images_get == 0) {
            MethodCollector.o(5591);
            return null;
        }
        VecString vecString = new VecString(NLEWatermarkParam_images_get, false);
        MethodCollector.o(5591);
        return vecString;
    }

    public final VecString LJFF() {
        MethodCollector.i(5725);
        long NLEWatermarkParam_secondHalfImages_get = NLEMediaJniJNI.NLEWatermarkParam_secondHalfImages_get(this.LIZ, this);
        if (NLEWatermarkParam_secondHalfImages_get == 0) {
            MethodCollector.o(5725);
            return null;
        }
        VecString vecString = new VecString(NLEWatermarkParam_secondHalfImages_get, false);
        MethodCollector.o(5725);
        return vecString;
    }

    public final TMJ LJIIL() {
        MethodCollector.i(6976);
        TMJ swigToEnum = TMJ.swigToEnum(NLEMediaJniJNI.NLEWatermarkParam_position_get(this.LIZ, this));
        MethodCollector.o(6976);
        return swigToEnum;
    }

    private synchronized void LJIILJJIL() {
        MethodCollector.i(5058);
        long j = this.LIZ;
        if (j != 0) {
            if (this.LIZIZ) {
                this.LIZIZ = false;
                NLEMediaJniJNI.delete_NLEWatermarkParam(j);
            }
            this.LIZ = 0;
        }
        MethodCollector.o(5058);
    }

    public final void LIZ(int i) {
        MethodCollector.i(5786);
        NLEMediaJniJNI.NLEWatermarkParam_interval_set(this.LIZ, this, i);
        MethodCollector.o(5786);
    }

    public final void LIZJ(int i) {
        MethodCollector.i(5996);
        NLEMediaJniJNI.NLEWatermarkParam_yOffset_set(this.LIZ, this, i);
        MethodCollector.o(5996);
    }

    public final void LIZLLL(int i) {
        MethodCollector.i(6211);
        NLEMediaJniJNI.NLEWatermarkParam_width_set(this.LIZ, this, i);
        MethodCollector.o(6211);
    }

    public final void LJ(int i) {
        MethodCollector.i(6216);
        NLEMediaJniJNI.NLEWatermarkParam_height_set(this.LIZ, this, i);
        MethodCollector.o(6216);
    }

    public final void LJFF(int i) {
        MethodCollector.i(7185);
        NLEMediaJniJNI.NLEWatermarkParam_rotation_set(this.LIZ, this, i);
        MethodCollector.o(7185);
    }

    public NLEWatermarkParam(long j) {
        this.LIZIZ = true;
        this.LIZ = j;
    }

    public final void LIZ(long j) {
        MethodCollector.i(6222);
        NLEMediaJniJNI.NLEWatermarkParam_duration_set(this.LIZ, this, j);
        MethodCollector.o(6222);
    }

    public final void LIZIZ(int i) {
        MethodCollector.i(5848);
        NLEMediaJniJNI.NLEWatermarkParam_xOffset_set(this.LIZ, this, i);
        MethodCollector.o(5848);
    }

    public final void LIZ(TMJ tmj) {
        MethodCollector.i(6583);
        NLEMediaJniJNI.NLEWatermarkParam_position_set(this.LIZ, this, tmj.swigValue());
        MethodCollector.o(6583);
    }

    public final void LIZIZ(VecString vecString) {
        MethodCollector.i(5655);
        VecString vecString2 = vecString;
        NLEMediaJniJNI.NLEWatermarkParam_secondHalfImages_set(this.LIZ, this, VecString.LIZ(vecString2), vecString2);
        MethodCollector.o(5655);
    }

    public final void LIZ(NLEWatermarkMask nLEWatermarkMask) {
        MethodCollector.i(5436);
        NLEWatermarkMask nLEWatermarkMask2 = nLEWatermarkMask;
        NLEMediaJniJNI.NLEWatermarkParam_mask_set(this.LIZ, this, nLEWatermarkMask2.LIZ, nLEWatermarkMask2);
        MethodCollector.o(5436);
    }

    public final void LIZ(VecNLEWatermarkEntity vecNLEWatermarkEntity) {
        MethodCollector.i(5369);
        VecNLEWatermarkEntity vecNLEWatermarkEntity2 = vecNLEWatermarkEntity;
        NLEMediaJniJNI.NLEWatermarkParam_entities_set(this.LIZ, this, vecNLEWatermarkEntity2.LIZ, vecNLEWatermarkEntity2);
        MethodCollector.o(5369);
    }

    public final void LIZ(VecString vecString) {
        MethodCollector.i(5521);
        VecString vecString2 = vecString;
        NLEMediaJniJNI.NLEWatermarkParam_images_set(this.LIZ, this, VecString.LIZ(vecString2), vecString2);
        MethodCollector.o(5521);
    }

    public final void LIZ(String str) {
        MethodCollector.i(5249);
        NLEMediaJniJNI.NLEWatermarkParam_extFile_set(this.LIZ, this, str);
        MethodCollector.o(5249);
    }

    public final void LIZ(boolean z) {
        MethodCollector.i(5124);
        NLEMediaJniJNI.NLEWatermarkParam_needExtFile_set(this.LIZ, this, z);
        MethodCollector.o(5124);
    }
}
